Subject: Re:

From: Brendan Tildesley <[email-masked]>
Date: Tue, 8 Sep 2020 23:38:25 +1000

On 8/9/20 10:22 pm, Prafulla Giri wrote:
> I see.
>
> Yes, it does make sense now why you chose to replace the 'wrap phase.
>
> I wonder.... perhaps it'd be better altogether if the (wrap-program) 
> procedure could be re-written to not make ..*.real.real programs...? 
> That would save us a lot of code-duplication...

Actually there is such a thing that can be use for scripts. It's 
wrap-script. I had sort of forgotten about it because I believe it has a 
bug where it passes command line arguments incorrectly, so wasn't using 
it: https://issues.guix.gnu.org/40039 . Would be worth looking in to again.